[asterisk-commits] dsessions: testsuite/bamboo/trunk r1357 - /bamboo/trunk/bin/

SVN commits to the Asterisk project asterisk-commits at lists.digium.com
Tue Feb 1 09:34:17 CST 2011


Author: dsessions
Date: Tue Feb  1 09:34:13 2011
New Revision: 1357

URL: http://svnview.digium.com/svn/testsuite?view=rev&rev=1357
Log:
Added Asterisk SCF bamboo build agent support for Solaris.

Modified:
    bamboo/trunk/bin/build-asterisk-scf.sh

Modified: bamboo/trunk/bin/build-asterisk-scf.sh
URL: http://svnview.digium.com/svn/testsuite/bamboo/trunk/bin/build-asterisk-scf.sh?view=diff&rev=1357&r1=1356&r2=1357
==============================================================================
--- bamboo/trunk/bin/build-asterisk-scf.sh (original)
+++ bamboo/trunk/bin/build-asterisk-scf.sh Tue Feb  1 09:34:13 2011
@@ -6,13 +6,20 @@
 set -e
 
 case $(uname -s)-$(uname -m) in
-   Darwin-*)        platform=mac     ;;
-   Linux-x86_64)    platform=lin64   ;;
-   Linux-i[0-9]86)  platform=lin32   ;;
-   MINGW32*-i686)   platform=win32   ;;
-   CYGWIN_NT*-i686) platform=win32   ;;
-   *)               platform=unknown ;;
+   Darwin-*)        platform=mac      ;;
+   Linux-x86_64)    platform=lin64    ;;
+   Linux-i[0-9]86)  platform=lin32    ;;
+   MINGW32*-i686)   platform=win32    ;;
+   CYGWIN_NT*-i686) platform=win32    ;;
+   SunOS*-sun*)	    platform=solsparc ;;
+   *)               platform=unknown  ;;
 esac
+
+if [[ "$platform" == "unknown" ]]
+then
+	echo "Fatal: Unknown platform!!"
+	exit 1
+fi
 
 COMPONENT_REV=`cat .git/refs/heads/master`
 COMPONENT_NAM=$@
@@ -27,15 +34,24 @@
 	echo "Building Ice"
 	echo ""
 	cd cpp
-	if [[ "$platform" == "win32" ]]
-	then
-		export CPP_COMPILER=VC100_EXPRESS
-		nmake -F Makefile.mak
-		nmake -F Makefile.mak install
-	else
-		make
-		make install
-	fi
+	case $platform in 
+		win32)
+			export CPP_COMPILER=VC100_EXPRESS
+			nmake -F Makefile.mak
+			nmake -F Makefile.mak install
+			;;
+		lin64)
+                	make
+                	make install
+                	;;
+		lin32)	
+			make
+			make install
+			;;
+		solsparc)
+			gmake
+			gmake install
+		*)
 	exit
 fi
 
@@ -48,17 +64,24 @@
         echo ""
         echo "Building Slice Plugins"
         echo ""
-        if [[ "$platform" == "win32" ]]
-        then
-                export CPP_COMPILER=VC100_EXPRESS
-		cmake .
-                nmake -F Makefile
-                nmake -F Makefile install
-        else
-		cmake .
-                make
-		make install
-        fi
+        case $platform in
+                win32)
+                	export CPP_COMPILER=VC100_EXPRESS
+			cmake .
+                	nmake -F Makefile
+                	nmake -F Makefile install
+			;;
+		lin[0-9][0-9])
+			cmake .
+                	make
+			make install
+			;;
+		solsparc)
+			cmake.
+			gmake
+			gmake install
+		*)
+	esac
         exit
 fi
 




More information about the asterisk-commits mailing list